[android-components](../../../index.md) / [mozilla.components.feature.top.sites](../../index.md) / [TopSitesUseCases](../index.md) / [AddPinnedSiteUseCase](./index.md)

# AddPinnedSiteUseCase

`class AddPinnedSiteUseCase` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/top-sites/src/main/java/mozilla/components/feature/top/sites/TopSitesUseCases.kt#L14)

Add a pinned site use case.

### Functions

| Name | Summary |
|---|---|
| [invoke](invoke.md) | `operator fun invoke(title: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`, url: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`, isDefault: `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html)` = false): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)<br>Adds a new [PinnedSite](#). |
